import Image from "next/image"
import { Mail, Phone, Pin } from "./Icons"

const Footer = () => {
    return (
        <footer className="px-3 sm:px-12 2xl:px-[12%]">
            <div className="text-6xl sm:text-7xl md:text-8xl lg:text-9xl xl:text-[9rem] text-center font-medium mt-40 mb-24 grid grid-cols-1 gird-rows-2">
                <div className="">Let's</div>
                <div className="text-orange-500 -mt-8 sm:-mt-9 md:-mt-12 lg:-mt-16 xl:-mt-[4.6rem]">Connect</div>
            </div>

            <div className="flex flex-col lg:flex-row lg:justify-between gap-32 bg-stone-50 rounded-3xl p-4 md:mt-10">
                <ul className="flex flex-col gap-3">
                    <li className="bg-stone-100 rounded-3xl p-5 flex flex-col gap-2">
                        <Mail />
                        <a href="mailto:info@massairaq.com">info@massairaq.com</a>
                    </li>
                    <li className="bg-stone-100 rounded-3xl p-5 flex flex-col gap-2">
                        <Phone />
                        <div className="flex flex-col gap-1 md:flex-row md:gap-4">
                            <a href="tel:07500302010">0750 030 20 10</a>
                            <a href="tel:07747777747">0774 777 77 47</a>
                        </div>
                    </li>
                    <li className="bg-stone-100 rounded-3xl p-5 flex flex-col gap-2">
                        <Pin />
                        <p>The Indian Arssat Street – opposite PM company - Baghdad – Iraq</p>
                    </li>
                </ul>

                {/* <div className="flex items-center justify-center">
                    <Image
                        className="hidden lg:inline max-w-28"
                        width={256}
                        height={256}
                        src="/massiraq.svg"
                        alt="Massa Iraq Logo"
                    />
                </div> */}

                <div className="flex flex-col gap-4 text-center">
                    <span className="font-medium text-lg text-orange-500">Quick Links</span>
                    <ul className="flex flex-col gap-3">
                        <li><a href="/about">About</a></li>
                        <li><a href="/services">Services</a></li>
                        <li><a href="/projects">Projects</a></li>
                        <li><a href="/contact">Contact</a></li>
                    </ul>
                </div>
            </div>

            <div className="pb-12 pt-4 mt-12 flex justify-center lg:justify-end gap-10 text-xs border-t border-stone-300">
                <span>© MASSA AL-IRAQ</span>
                <a href="https://tech.krd/">SITE BY TECH.KRD</a>
            </div>
        </footer>
    )
}

export default Footer